Name:    banshee
Version: 0.11.5
Release: 1%{?dist}
Summary: easily import, manage, and play selections from your music collection

Group:   Applications/Multimedia
License: MIT
URL:     http://banshee-project.org/
Source0: http://banshee-project.org/files/banshee/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch1: banshee-0.10.12-mono-libdir.patch
Patch2: banshee-0.10.12-libdbus-glib-dllmap.patch

BuildRequires: ipod-sharp
BuildRequires: avahi-sharp
BuildRequires: libmusicbrainz-devel >= 2.1.1
BuildRequires: gtk-sharp2-devel
BuildRequires: mono-devel >= 1.1.10
BuildRequires: mono-data
BuildRequires: mono-data-sqlite
BuildRequires: hal-devel
BuildRequires: dbus-sharp >= 0.36.2
BuildRequires: sqlite-devel >= 3.3
BuildRequires: gstreamer-devel >= 0.10
BuildRequires: gstreamer-plugins-base-devel >= 0.10
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-sharp-devel
BuildRequires: nautilus-cd-burner-devel
BuildRequires: dbus-sharp-devel
BuildRequires: gettext-devel
BuildRequires: perl-XML-Parser

Requires:       libipoddevice
Requires(post): GConf2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Banshee allows you to import CDs, sync your music collection to an iPod,
play music directly from an iPod, create playlists with songs from your
library, and create audio and MP3 CDs from subsets of your library.

%prep
%setup -q
#%patch1 -p1 -b .mono-libdir
#%patch2 -p1 -b .libdbus-glib-dllmap

%build
# try to work around a problem where gst-inspect does
# not find plugins the first time around
/usr/bin/gst-inspect-0.10 --print-all

export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure  --disable-docs --with-gstreamer-0-10 --disable-helix
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

desktop-file-install --vendor gnome --delete-original		\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			\
  --add-category X-Fedora					\
  --add-only-show-in=GNOME                                      \
  $RPM_BUILD_ROOT%{_datadir}/applications/banshee.desktop

%find_lang %name

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for schema in audioscrobbler.schemas banshee.schemas banshee-notificationareaicon.schemas daap.schemas filesystemmonitor.schemas metadatasearch.schemas mmkeys.schemas; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$schema > /dev/null || :
done

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database %{_datadir}/applications

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/banshee
%{_libdir}/banshee
%{_libdir}/pkgconfig/banshee.pc
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/dbus-1/services/org.gnome.Banshee.service
%{_datadir}/banshee/audio-profiles
%{_sysconfdir}/gconf/schemas
%exclude %{_libdir}/banshee/*.a
%exclude %{_libdir}/banshee/*.la

%changelog
* Fri Feb  2 2007 Christopher Aillon <caillon@redhat.com> - 0.11.5-1
- Update to 0.11.5

* Fri Sep  1 2006 Christopher Aillon <caillon@redhat.com> - 0.10.12-4
- Register banshee-notificationareaicon.schemas in %%post (bug 185605)
- Add dllmap for libdbus-glib so banshee works without dbus-glib-devel
  (bug 202990)

* Mon Aug 28 2006 Christopher Aillon <caillon@redhat.com> - 0.10.12-3
- Rebuild

* Sat Aug 26 2006 Christopher Aillon <caillon@redhat.com> - 0.10.12-2
- For some reason, the last build picked up dependencies on both
  mono(glib-sharp) = 2.8.0.0 and mono(glib-sharp) = 2.10.0.0
  Not sure why, but hopefully this rebuild fixes it....

* Wed Aug 23 2006 Christopher Aillon <caillon@redhat.com> - 0.10.12-1
- Update to 0.10.12
- Build against newer mono stack

* Mon Aug  7 2006 Nalin Dahyabhai <nalin@redhat.com> - 0.10.11-1
- Update to 0.10.11
- Buildrequire: dbus-sharp-devel, because configure looks for it
- Buildrequire: gettext-devel, because configure looks for its copy of msgfmt

* Fri Jun 16 2006 Jeremy Katz <katzj@redhat.com> - 0.10.10-2
- rebuild against new nautilus-cd-burner
- hack to get it to build

* Tue May  2 2006 Christopher Aillon <caillon@redhat.com> 0.10.10-1
- Update to 0.10.10

* Tue Mar 21 2006 Christopher Aillon <caillon@redhat.com> 0.10.9-1
- Update to 0.10.9

* Tue Mar 14 2006 Christopher Aillon <caillon@redhat.com> 0.10.8-1
- Update to 0.10.8

* Thu Mar  9 2006 Christopher Aillon <caillon@redhat.com> 0.10.7-2
- Add explicit Requires on libipoddevice (#184482)

* Tue Mar  7 2006 Christopher Aillon <caillon@redhat.com> 0.10.7-1
- Update to 0.10.7
- Fix build on x86-64

* Mon Mar  6 2006 Christopher Aillon <caillon@redhat.com> 0.10.6-3
- Don't build with smp_mflags, as parallel make causes the build to fail

* Sat Mar  4 2006 Christopher Aillon <caillon@redhat.com> 0.10.6-2
- Rebuild

* Tue Feb 21 2006 Christopher Aillon <caillon@redhat.com> 0.10.6-1
- Initial RPM
